Red Hat Enterprise Linux Atomic Host (Kickstart) fa
07/02/2018 09:06 PM - John Mitsch

ils to enable
Assignee: John Mitsch
Category: Repositories
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Pull request: https://github.com/Katello/katello/pull/749
Description

This returns an error %{unused_substitutes} cannot be specified for
Y%{content_url}

To reproduce: import manifest and try to enable said repo

%{content_name} as that information is not substitutable in

Associated revisions

Revision 31ab44e2 - 07/03/2018 05:54 PM - John Mitsch

Fixes #24134 - Error enabling atomic kickstart repo

This commit addresses a few things:

- "basearch" was being passed when enabling RHEL atomic kickstart repo,
where there is no $basearch needed for the CDN. This is because we

are using the value "Unspecified" to fill in the Ul when there is

no arch. This was making its way into the API call, where basearch
shouldn't be defined.

- The error message being returned wasn't properly templated. This was
fixed and tests are added.

- "Kickstarter" is an crowdsourcing site and shouldn't be an option

in the content type drop down :stuck_out_tongue_closed_eyes:

History

#1 - 07/02/2018 09:13 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/7491 added

#2 - 07/02/2018 09:15 PM - John Mitsch
- Bugzilla link set to 1580438

#3 - 07/03/2018 06:01 PM - John Mitsch
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|31ab44e2675a51cf3b6089d989fat38970c15fc2.

#4 - 07/09/2018 02:30 PM - Brad Buckingham
- Target version set to Katello 3.7.0

- Triaged set to No
